#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: criterion
version: 1.4.1.0
id: criterion-1.4.1.0-90k4njjiwkLKNX4nns08Cm
key: criterion-1.4.1.0-90k4njjiwkLKNX4nns08Cm
license: BSD-3-Clause
copyright: 2009-2016 Bryan O'\''Sullivan and others
maintainer: Ryan Scott <ryan.gl.scott@gmail.com>
author: Bryan O'\''Sullivan <bos@serpentine.com>
homepage: http://www.serpentine.com/criterion
synopsis: Robust, reliable performance measurement and analysis
description:
    This library provides a powerful but simple way to measure software
    performance.  It provides both a framework for executing and
    analysing benchmarks and a set of driver functions that makes it
    easy to build and run benchmarks, and to analyse their results.
    .
    The fastest way to get started is to read the
    <http://www.serpentine.com/criterion/tutorial.html online tutorial>,
    followed by the documentation and examples in the "Criterion.Main"
    module.
    .
    For examples of the kinds of reports that criterion generates, see
    <http://www.serpentine.com/criterion the home page>.
category: Development, Performance, Testing, Benchmarking
abi: 97a9f4d6197a8acd1ae400b4555069ed
exposed: True
exposed-modules:
    Criterion Criterion.Analysis Criterion.IO Criterion.IO.Printf
    Criterion.Internal Criterion.Main Criterion.Main.Options
    Criterion.Measurement Criterion.Monad Criterion.Report
    Criterion.Types
hidden-modules: Criterion.Monad.Internal Criterion.Types.Internal
                Paths_criterion
import-dirs: /usr/lib/ghc-8.4.2/site-local/criterion-1.4.1.0
library-dirs: /usr/lib/ghc-8.4.2/site-local/criterion-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/haskell-criterion
hs-libraries: HScriterion-1.4.1.0-90k4njjiwkLKNX4nns08Cm
depends:
    aeson-1.3.1.1-83bGKezNRMtKwGszAQd3fI
    ansi-wl-pprint-0.6.8.2-5VjUR5zrHF4ICjKXehuybH base-4.11.1.0
    base-compat-batteries-0.10.1-IIuHBdlMy3fI9IPRYMx2hM binary-0.8.5.1
    bytestring-0.10.8.2 cassava-0.5.1.0-LC99ygNQUxwBaAqxw69Lar
    code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V containers-0.5.11.0
    deepseq-1.4.3.0 directory-1.3.1.5
    exceptions-0.10.0-BEUiOfEqTrS84QuRfnTPuK filepath-1.4.2
    Glob-0.9.2-9cp3dj9r7VLEHPNhdZxqkV
    microstache-1.0.1.1-5xKV34qbBbX1z4OfenNy9E
    js-flot-0.8.3-Bsjxmw7L5o0BiJSkgBCarQ
    js-jquery-3.3.1-6XDySdJhIUbGAez74lAVaP mtl-2.2.2
    mwc-random-0.13.6.0-2dWV9NF981KLsfJ2iPQJqH
    optparse-applicative-0.14.2.0-62exsxKF348IVCVPqReofC
    parsec-3.1.13.0 statistics-0.14.0.2-75wJbbGpTVB7PUvDu0TUmR
    text-1.2.3.0 time-1.8.0.2 transformers-0.5.5.0
    transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W
    vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb
    vector-algorithms-0.7.0.1-6dfMCE0ieeBqw7HMypMZq
abi-depends: aeson-1.3.1.1-83bGKezNRMtKwGszAQd3fI=0723bd416c7eb9913ef3ae16b346bf30
             ansi-wl-pprint-0.6.8.2-5VjUR5zrHF4ICjKXehuybH=acacaf200daa6a34897880ee2dd48291
             base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             base-compat-batteries-0.10.1-IIuHBdlMy3fI9IPRYMx2hM=2aa8ea1ba610c79ba98a03f04afaabe0
             binary-0.8.5.1=253349ae905e3b03d89d37316bf920b7
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             cassava-0.5.1.0-LC99ygNQUxwBaAqxw69Lar=087cadb6c99050d08b55b825c2646be5
             code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V=8dc56bf9fbfce8923ed3b68ebcced201
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             deepseq-1.4.3.0=521dff49867cc7581bb7066827d3f18e
             directory-1.3.1.5=c4ddb2059d4b7fed7d39b1d1bb3bf41d
             exceptions-0.10.0-BEUiOfEqTrS84QuRfnTPuK=d8523ad36a5e28359b2fcf172784c78f
             filepath-1.4.2=a70b79acbde9ca897bdc5eadf9254ba7
             Glob-0.9.2-9cp3dj9r7VLEHPNhdZxqkV=0ead9b484db11f83d213b802400961ab
             microstache-1.0.1.1-5xKV34qbBbX1z4OfenNy9E=b46198f410f470895e7b56aa47a4cf61
             js-flot-0.8.3-Bsjxmw7L5o0BiJSkgBCarQ=efc8a07d70f9d8404ede170c13da66e1
             js-jquery-3.3.1-6XDySdJhIUbGAez74lAVaP=326090a906c288900bb8bb7246c0e80b
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             mwc-random-0.13.6.0-2dWV9NF981KLsfJ2iPQJqH=1b054f40a9cbba8026cb63c2f2919dda
             optparse-applicative-0.14.2.0-62exsxKF348IVCVPqReofC=2081310a648400eda979d50e9a2f1447
             parsec-3.1.13.0=b976f306e11b572c7d5898bcff511199
             statistics-0.14.0.2-75wJbbGpTVB7PUvDu0TUmR=2b5842e08ef44ce3f704e862563e0f61
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W=63a0e01576545fb684fe201dfb63f95d
             vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb=6eab66b6328cb1f1f60a88d42282d4d0
             vector-algorithms-0.7.0.1-6dfMCE0ieeBqw7HMypMZq=a57c47a715bf474306b503254a38787c
haddock-interfaces: /usr/share/doc/haskell-criterion/html/criterion.haddock
haddock-html: /usr/share/doc/haskell-criterion/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

